﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.EditRowLevelSecurity" Title="Manage Row Level Security" Codebehind="EditRowLevelSecurity.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.13.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('RowSecurityHelp.htm')" href="javascript:void(0)" tabindex="-1">
			<img alt="Help" src="images/help3.gif" /></a> <span class="nav2title">Edit
				Row Level Security</span>
	</div>
    <asp:ObjectDataSource ID="dataRowSecurity" runat="server" DataObjectTypeName="Ripplestone.BLL.RowSecurity" 
        InsertMethod="InsertRowSecurity" SelectMethod="GetRowSecurityByID" 
        TypeName="Ripplestone.BLL.RowSecurity" UpdateMethod="UpdateRowSecurity">
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="0" Name="rowID" QueryStringField="RSRowID" Type="Int32" />
        </SelectParameters>

    </asp:ObjectDataSource>
	<asp:ObjectDataSource ID="dataRoles" runat="server" SelectMethod="GetSecurityRoles" TypeName="Ripplestone.BLL.SecurityRole" OldValuesParameterFormatString="original_{0}">
        <SelectParameters>
            <asp:Parameter DefaultValue="0" Name="ID" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
	<table class="RSTable" cellspacing="5" cellpadding="0" width="100%" border="0">
		<tr>
			<td style="width: 185px">
				<table width="100%">
					<tr>
						<td style="width: 21px;">
							<a onclick="callHelp('RowSecurityRole.htm')" href="javascript:void(0)" tabindex="-1">
								<img alt="Help" src="images/help3.gif"  /></a>
						</td>
						<td class="FormLabel">
							Role
						</td>
					</tr>
				</table>
			</td>
			<td>
				<asp:DropDownList ID="ddlRoleList" runat="server" AutoPostBack="True" DataTextField="Role"
					DataValueField="ID">
				</asp:DropDownList>
			</td>
		</tr>
		<tr>
			<td style="width: 185px">
				<table width="100%">
					<tr>
						<td style="width: 21px;">
							<a onclick="callHelp('RowSecurityFolder.htm')" href="javascript:void(0)" tabindex="-1">
								<img alt="Help" src="images/help3.gif" /></a>
						</td>
						<td class="FormLabel">
							Folder
						</td>
					</tr>
				</table>
			</td>
			<td>
				<asp:DropDownList ID="ddlFolderList" runat="server" DataTextField="FullPathFolderName"
					DataValueField="ID" Width="250px">
				</asp:DropDownList>
			</td>
		</tr>
		<tr>
			<td style="width: 185px">
				<table width="100%">
					<tr>
						<td style="width: 21px;">
							<a onclick="callHelp('RowSecurityTable.htm')" href="javascript:void(0)" tabindex="-1">
								<img alt="Help" src="images/help3.gif" /></a>
						</td>
						<td class="FormLabel">
							Database Table
						</td>
					</tr>
				</table>
			</td>
			<td>
                <dx:ASPxTextBox ID="txtDatabaseTable" runat="server" Width="199px" MaxLength="100" Value='<%# Bind("Table") %>'>
                    <ValidationSettings ErrorDisplayMode="ImageWithTooltip" Display="Dynamic" CausesValidation="True" SetFocusOnError="True">
                        <RequiredField IsRequired="True" ErrorText="Table is required." />
                    </ValidationSettings>
                </dx:ASPxTextBox>
			</td>
		</tr>
		<tr>
			<td style="width: 185px">
				<table width="100%">
					<tr>
						<td style="width: 21px;">
							<a onclick="callHelp('RowSecurityColumn.htm')" href="javascript:void(0)" tabindex="-1">
								<img alt="Help" src="images/help3.gif" /></a>
						</td>
						<td class="FormLabel">
							Database Column
						</td>
					</tr>
				</table>
			</td>
			<td>
                <dx:ASPxTextBox ID="txtDatabaseColumn" runat="server" Width="198px" MaxLength="100" Value='<%# Bind("Column") %>'>
                    <ValidationSettings ErrorDisplayMode="ImageWithTooltip" Display="Dynamic" CausesValidation="True" SetFocusOnError="True">
                        <RequiredField IsRequired="True" ErrorText="Column is required." />
                    </ValidationSettings>
                </dx:ASPxTextBox>
			</td>
		</tr>
		<tr>
			<td valign="top" style="width: 185px">
				<table width="100%">
					<tr>
						<td style="width: 21px;">
							<a onclick="callHelp('RowSecurityOperator.htm')" href="javascript:void(0)" tabindex="-1">
								<img alt="Help" src="images/help3.gif" /></a>
						</td>
						<td class="FormLabel">
							Operator
						</td>
					</tr>
				</table>
			</td>
			<td>
				<asp:DropDownList ID="ddlOperator" runat="server" DataTextField="Operator" DataValueField="Operator"
					Width="150px">
				</asp:DropDownList>
			</td>
		</tr>
		<tr valign="top">
			<td valign="top" style="width: 185px">
				<table width="100%">
					<tr>
						<td style="width: 21px;">
							<a onclick="callHelp('RowSecurityValue.htm')" href="javascript:void(0)" tabindex="-1">
								<img alt="Help" src="images/help3.gif" /></a>
						</td>
						<td class="FormLabel">
							Value
						</td>
					</tr>
				</table>
			</td>
			<td>
				<asp:RadioButton ID="optUserEntered" runat="server" Text="User Entered" Checked="True"
					GroupName="ValueType" AutoPostBack="True"></asp:RadioButton>&nbsp;
				<asp:RadioButton ID="optUserID" runat="server" Text="UserID" GroupName="ValueType"
					AutoPostBack="True"></asp:RadioButton><br/>
				<br/>
				<asp:TextBox ID="txtSelectionValue" runat="server" Width="90%" MaxLength="255" Rows="5"
					TextMode="MultiLine"></asp:TextBox><br/>
				<asp:RequiredFieldValidator ID="rfvSelectionValue" runat="server" Display="dynamic"
					ErrorMessage="* Required." ControlToValidate="txtSelectionValue"></asp:RequiredFieldValidator>
				<asp:DropDownList ID="ddlUserID" runat="server" Width="106px">
					<asp:ListItem Value="@UserID">@UserID</asp:ListItem>
					<asp:ListItem Value="@UserID2">@UserID 2</asp:ListItem>
					<asp:ListItem Value="@UserID3">@UserID 3</asp:ListItem>
					<asp:ListItem Value="@UserID4">@UserID 4</asp:ListItem>
					<asp:ListItem Value="@UserID5">@UserID 5</asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>
	</table>
	<div id="buttons">
		<dx:ASPxButton ID="dxbtnSave" runat="server" Text="Save"></dx:ASPxButton>&nbsp;
		<dx:ASPxButton ID="dxbtnCancel" runat="server" Text="Cancel" CausesValidation="false"></dx:ASPxButton>
		<dx:ASPxValidationSummary ID="ASPxValidationSummary1" runat="server" HeaderText="The following errors were found:" RenderMode="BulletedList" ShowErrorsInEditors="True"></dx:ASPxValidationSummary>
	</div>
</asp:Content>
