﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.ScheduleHistory" Title="Schedule History" Codebehind="ScheduleHistory.aspx.vb" %>
<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.13.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<asp:ObjectDataSource ID="dataScheduleHistory" runat="server" SelectMethod="GetScheduleHistoryByJobID" TypeName="Ripplestone.BLL.ScheduleHistory">
			<SelectParameters>
				<asp:QueryStringParameter DefaultValue="0" Name="jobID" QueryStringField="JobId" Type="Int32" />
			</SelectParameters>
		</asp:ObjectDataSource>
		<span class="nav2title">Scheduled Report History</span>
	</div>
	<div class="pageTitle">
		<table class="RSTable" cellspacing="0" cellpadding="0" width="100%" border="0">
			<tr>
				<td id="ctlFolder" nowrap="nowrap" align="left" width="300" colspan="2" runat="server">
				</td>
			</tr>
			<tr>
				<td id="ctlReport" nowrap="nowrap" align="left" width="300" runat="server">
				</td>
			</tr>
			<tr>
				<td colspan="2">
					&nbsp;
				</td>
			</tr>
		</table>
	</div>
    <div id="syncGrid">
        <dx:ASPxGridView ID="gridHistory" runat="server" AutoGenerateColumns="False" DataSourceID="dataScheduleHistory" KeyFieldName="HistoryID" Width="100%"
            ClientInstanceName="gv" EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True">
            <SettingsContextMenu Enabled="true"></SettingsContextMenu>
            <SettingsPager PageSize="20">
                <PageSizeItemSettings Visible="true" ShowAllItem="true"></PageSizeItemSettings>
            </SettingsPager>
            <Settings ShowFilterRow="True" ShowFilterBar="Auto" ShowFilterRowMenu="true" />
            <SettingsBehavior ConfirmDelete="true" AllowSelectByRowClick="true" AllowSelectSingleRowOnly="False" />
            <SettingsDataSecurity AllowEdit="False" AllowInsert="False" AllowDelete="False" />
            <SettingsSearchPanel ShowApplyButton="true" ShowClearButton="true" />
            <Columns>
                <dx:GridViewCommandColumn SelectAllCheckboxMode="Page" ShowSelectCheckbox="True" VisibleIndex="0">
                </dx:GridViewCommandColumn>
                <dx:GridViewDataTextColumn FieldName="Status" VisibleIndex="1">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="EmailedTo" VisibleIndex="2">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="StartTime" VisibleIndex="3">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="ExecutionTime" VisibleIndex="4">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataColumn Caption="View" VisibleIndex="5">
                    <DataItemTemplate>
                        <%# DataBinder.Eval(Container.DataItem, "OutputHref") %>
                    </DataItemTemplate>
                </dx:GridViewDataColumn>
            </Columns>
            <Styles AdaptiveDetailButtonWidth="22"></Styles>
        </dx:ASPxGridView>
    </div>
	<div id="buttons">
        <dx:ASPxButton ID="ASPxReturn" runat="server" Text="Return"></dx:ASPxButton>
        <dx:ASPxButton ID="ASPxDeleteRows" runat="server" Text="Delete Selected Rows">
            <ClientSideEvents Click="function(s, e) {
	            e.processOnServer = confirm('Do you want delete the selected rows?');
                }" />
        </dx:ASPxButton>
        <dx:ASPxButton ID="ASPxDeleteAll" runat="server" Text="Delete All History">
            <ClientSideEvents Click="function(s, e) {
            	e.processOnServer = confirm('Do you want delete the all rows?');
                }" />
        </dx:ASPxButton>
        <dx:ASPxButton ID="ASPxCleanHistory" runat="server" Text="Clean History">
            <ClientSideEvents Click="function(s, e) {
            	e.processOnServer = confirm('Do you want run the clean history?');
                }" />
        </dx:ASPxButton>
    </div>
</asp:Content>
