﻿<%@ Page Title="Schedule Last Jobs Run" Language="vb" AutoEventWireup="false" MasterPageFile="~/RSMasterPage.master" CodeBehind="ScheduleLastJobsRun.aspx.vb" Inherits="RSWebApp.ScheduleLastJobsRun" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.13.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
	<div class="EditPageTitle">
		Last Jobs Run:
	</div>
	<div class="topButtons">
		<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetScheduleLastJobsRun" TypeName="Ripplestone.BLL.ScheduleHistory"></asp:ObjectDataSource>
		Other Views&nbsp;
		<asp:DropDownList ID="ddlViews" runat="server" Width="100px" AutoPostBack="False" Height="22px">
			<asp:ListItem Selected="True" Value="1">Job Queue</asp:ListItem>
			<asp:ListItem Value="2">Failed Jobs</asp:ListItem>
		</asp:DropDownList>&nbsp;
		<dx:aspxbutton id="btnOpenView" runat="server" text="Open View"></dx:aspxbutton>
		&nbsp;
		<dx:aspxbutton id="btnReturnTop" runat="server" text="Return"></dx:aspxbutton>
	</div>
	<div class="grid">
		<dx:ASPxGridView ID="ASPxGridView1" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectDataSource1" KeyFieldName="ID" Width="100%">
			<Columns>
				<dx:GridViewDataTextColumn FieldName="JobID" VisibleIndex="2">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataDateColumn FieldName="StartTime" VisibleIndex="7">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataDateColumn FieldName="EndTime" VisibleIndex="8">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataDateColumn FieldName="ScheduledStartTime" VisibleIndex="6">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataTextColumn Caption="Time to Execute" FieldName="ExecutionTime" VisibleIndex="10">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="JobDescription" VisibleIndex="3">
				</dx:GridViewDataTextColumn>
			</Columns>
			<SettingsPager>
				<PageSizeItemSettings ShowAllItem="True" Visible="True">
				</PageSizeItemSettings>
			</SettingsPager>
			<Settings ShowFilterRow="True" ShowGroupPanel="True" />
			<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
			<SettingsSearchPanel ShowClearButton="True" Visible="True" />
		</dx:ASPxGridView>
	</div>
	<div class="bottomButtons">
		<dx:aspxbutton id="btnReturnBottom" runat="server" text="Return"></dx:aspxbutton>
	</div>
</asp:Content>
